summaryrefslogtreecommitdiff
path: root/SCAN-RSS/run-paper-strong-full.sh
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-06-02 15:28:54 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-06-02 15:28:54 +0200
commitff9304370fdd94e9b7e4c4262c59ac734f1a28fd (patch)
treeca8e1edf1fd99d9295686f151de2bb96d7116588 /SCAN-RSS/run-paper-strong-full.sh
parent5a3652ed60704d2b45eb652639f9d712ea32e104 (diff)
SCAN-RSS: update dfatool port and add/update benchmark scripts
Diffstat (limited to 'SCAN-RSS/run-paper-strong-full.sh')
-rwxr-xr-xSCAN-RSS/run-paper-strong-full.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/SCAN-RSS/run-paper-strong-full.sh b/SCAN-RSS/run-paper-strong-full.sh
new file mode 100755
index 0000000..c418eeb
--- /dev/null
+++ b/SCAN-RSS/run-paper-strong-full.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -e
+
+(
+
+echo "prim-benchmarks SCAN-RSS strong-full (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 256 512 1024 2048; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 verbose=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 251658240 -x 1 || true
+ fi
+ done
+done
+) | tee log-paper-strong-full.txt